Subject: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Po Lu <[email-masked]>
Date: Sat, 13 Jan 2024 08:46:28 +0800

Eli Zaretskii <[email-masked]> writes:

> Sorry, I don't understand what you are saying here.  Could you please
> say it in simpler words?  What are "icon fonts"? and what do you mean
> by "it can be removed"?

Fonts designed to provide symbol icons, which are inserted by packages
that can control the `face' property of the text inserted.  Such fonts
don't provide bold variants, and they did prompt this bug report.

> If we add such a variable, it will be opt-in behavior, so only users
> who want it will get the behavior that you consider deficient.  It
> will be then up to those users to decide whether the behavior is good
> enough for them.  So I see no problem with such an option; we don't
> have to like each and every optional behavior that is by default
> turned off.

What if a user wants to disable the `bold' attribute for a font _with_
a bold variant?